/**
  **************************************************************************
  * @file     at32_video_ev_sccb.h
  * @version  v2.0.2
  * @date     2022-09-15
  * @brief    at32_video_ev_sccb header file
  **************************************************************************
  *                       Copyright notice & Disclaimer
  *
  * The software Board Support Package (BSP) that is made available to
  * download from Artery official website is the copyrighted work of Artery.
  * Artery authorizes customers to use, copy, and distribute the BSP
  * software and its related documentation for the purpose of design and
  * development in conjunction with Artery microcontrollers. Use of the
  * software is governed by this copyright notice and the following disclaimer.
  *
  * THIS SOFTWARE IS PROVIDED ON "AS IS" BASIS WITHOUT WARRANTIES,
  * GUARANTEES OR REPRESENTATIONS OF ANY KIND. ARTERY EXPRESSLY DISCLAIMS,
  * TO THE FULLEST EXTENT PERMITTED BY LAW, ALL EXPRESS, IMPLIED OR
  * STATUTORY OR OTHER WARRANTIES, GUARANTEES OR REPRESENTATIONS,
  * INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
  *
  **************************************************************************
  */

#ifndef __AT32_VIDEO_EV_SCCB_H
#define __AT32_VIDEO_EV_SCCB_H
#include "at32f403a_407_board.h"

#define SCCB_SDA_IN()                    {GPIOB->cfghr&=0XFFFF0FFF;GPIOB->cfghr|=0X00008000;}
#define SCCB_SDA_OUT()                   {GPIOB->cfghr&=0XFFFF0FFF;GPIOB->cfghr|=0X00003000;}
#define BF3901_SCCB_GPIO				         GPIOB
#define BF3901_SCCB_GPIO_CLK			       CRM_GPIOB_PERIPH_CLOCK
#define BF3901_SCCB_PIN_SDA              GPIO_PINS_11
#define BF3901_SCCB_PIN_SCL              GPIO_PINS_10
#define SCCB_SCL    						         PBout(10)	 	//scl out
#define SCCB_SDA    						         PBout(11) 		//sda	out
#define SCCB_READ_SDA    				         PBin(11)  		//sda in

#define SCCB_ID   						0XDC  		//BF3901ID

void bf3901_sccb_init(void);
void sccb_start(void);
void sccb_stop(void);
void sccb_no_ack(void);
u8 sccb_wr_byte(u8 dat);
u8 sccb_rd_byte(void);
u8 sccb_wr_reg(u8 reg, u8 data);
u8 sccb_rd_reg(u8 reg);
#endif













